package com.house365.ws.dao.mapper;

import com.house365.beans.entity.CustomerEntity;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author Created by Administrator on 2019/2/25.
 */
@Repository
public interface CustomerMapper {

    List<Map<String, Object>> queryCount();

    List<Map<String, Object>> queryByManagerId(Map<String, Object> map);

    List<Map<String, Object>> queryCustomerLog(Map<String, Object> map);

    int queryCustomerLogCount(Map<String, Object> map);

    List<Map<String, Object>> queryCustomerByStatus(Map<String, Object> map);

    int queryCustomerByStatusCount(Map<String, Object> map);

    List<CustomerEntity> queryAllByCity();

    List<CustomerEntity> queryCustomerPeriod(CustomerEntity ce);

    List<String> queryByCondition(Map<String, Object> map);

    List<Map<String, Object>> queryCustomerLogBySource(Map<String, Object> map);

    List<Map<String, Object>> queryBySource(Map<String, Object> map);

    List<Map<String, Object>> queryByStatusAndSource(Map<String, Object> map);

    CustomerEntity queryById(int id);

    List<Map<String, Object>> querySource();

    void updatePeer(Map<String, Object> map);

    List<CustomerEntity> queryByConditions(Map<String, Object> map);

    List<CustomerEntity> queryCustomers(Map<String, Object> map);

    Integer getCustomersById(Map<String, Object> map);

    void clearCustomerByManagerId(Map<String, Object> map);

    List<CustomerEntity> queryOceanCustomer(Map<String,Object> map);

    List<CustomerEntity> getCustomerIds(Map<String, Object> map);

    List<CustomerEntity> backToSeaCustomer(Map<String, Object> map);

    List<CustomerEntity> getCpsByPhone(Map<String, Object> map);

    List<CustomerEntity> backToSeaCustomerNoLimit(Map<String, Object> map);

    void noApproximateBackToSea(Map<String,Object> map);

    void noApproximateBackToSea2(CustomerEntity c);

    void updateOldCustomers(Map<String, Object> map);

    List<CustomerEntity> getDetailCustomers(Map<String, Object> map);

    void updateSeaCustomerByPhone(Map<String, Object> map);

    void transferManagerInfo(Map<String, Object> map);

    List<CustomerEntity> getSeaCustomerByPhone(Map<String, Object> map);

    List<CustomerEntity> queryByOverTime(Map<String, Object> map);

    List<CustomerEntity> queryManagerByPhone(Map<String, Object> map);

    void updateOldCustomerStar(Map<String, Object> map);

    List<CustomerEntity> queryForAddHot(Map<String, Object> map);

    List<CustomerEntity> queryCloudCount(Map<String, Object> map);

    List<CustomerEntity> queryMonthPlatCustomers();

    void updateSync(CustomerEntity ce);

    List<Map<String, Object>> querySeaList(Map<String, Object> map);

    int querySeaCount(Map<String, Object> map);

    int updateIdList(List<Integer> idList);

    void updatePtCustomerStar(Map<String, Object> map);

    void updatePtCustomerCreater(Map<String, Object> map);
}
